While it may seem scary to say anything and "rock the boat" or cause problems, it's far more dangerous to let resentment take hold, and cause harm to both of you.

No matter how well individuals think they know each other, they are not mind readers. They don't always know when you feel overwhelmed, lonely, or under appreciated unless you tell them. They might not know how much certain things mean to you, like unloading the dishwasher or giving them time alone unless you tell them.

If not addressed properly, "little" things can become big things that can threaten a relationship when ignored. It's important to *identify* and *express* needs. A lot of trouble and heartache can be avoided if everyone said what they needed rather than pulling away or becoming passive aggressive.

## Feeling Safe
If you don't feel safe physically, mentally, and emotionally, it can be difficult to set and hold boundaries. Even if your lack of stability isn't directly caused by the relationship (lack of sleep, conflict from work, existential issues), it can still impact your ability to hold healthy boundaries.

If you are prone to people-pleasing, fear of disappointing others may make you feel unsafe or scared. It can be a trauma response from an abusive upbringing, or as a way to get love in a family where you experienced emotional 
# Resources
https://www.gottman.com/blog/the-truth-about-boundaries/